plot.acf {ts} | R Documentation

## Plotting Autocovariance and Autocorrelation Functions

### Description

Plotting method for objects of class `"acf"`.

### Usage

    plot(x, ci = 0.95, type = "h",
         xlab = "Lag", ylab = NULL, ylim = NULL, main = NULL,
         ci.col="blue", ci.type=c("white", "ma"), ...)

### Arguments

`x` | an object of class `"acf"`.
`ci` | coverage probability for confidence interval. Plotting of the confidence interval is suppressed if `ci` is zero or negative.
`type` | the type of plot to be drawn, default to histogram like vertical lines.
`xlab` | the x label of the plot.
`ylab` | the y label of the plot.
`ylim` | numeric of length 2 giving the y limits for the plot.
`main` | overall title for the plot.
`ci.col` | colour to plot the confidence interval lines.
`ci.type` | should the confidence limits assume a white noise input or for lag k an MA(k-1) input?
`...` | graphics parameters to be passed to the plotting routines.

### Note

The confidence interval plotted in `plot.acf` is based on an uncorrelated series and should be treated with appropriate caution. Using `ci.type = "ma"` may be less potentially misleading.

### See Also

`acf`